Docs Rizler

Roles

Get Role

GEThttps://app.rizzdial.com/api/roles/{id}
Get Role
curl --request GET \
  --url https://app.rizzdial.com/api/roles/12 \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": 12,
    "title": "Agent",
    "permissions_count": 4
  },
  "success": true
}

Get Role#

One company role. Requires view-role.

Authorizationstringheaderrequired

Bearer token in the format: Bearer {access_token}

idstringpathrequired

Numeric role id from List Roles. Base64 and encrypted ids also work

curl --request GET \
  --url https://app.rizzdial.com/api/roles/12 \
  --header 'Authorization: Bearer {{bearer_token}}'
dataobject

id, title, name, permissions_count, and timestamps